#ifndef _IMAGEAPPS_SLIDESHOWKIT_SLIDESHOWSUBMENU_H_
#define _IMAGEAPPS_SLIDESHOWKIT_SLIDESHOWSUBMENU_H_

#include <Foundation/NSObject.h>
@class NSImage;
@class NSMutableArray;

@interface SlideShowItem: NSObject
{
@private
  SEL _action;
  id _target;
  NSImage *_image;
  unsigned int _tag;
}

-(void) setAction:(SEL) action;
-(SEL) action;

-(void) setTarget: (id) target;
-(id) target;

-(void) setImage: (NSImage*) image;
-(NSImage*) image;

-(void) setTag: (unsigned int) tag;
-(unsigned int) tag;

@end

@interface SlideShowSubMenu: NSObject
{
@private
  NSMutableArray *_items;
}


-(void) insertItem:(SlideShowItem*) item atIndex:(unsigned int) index;
-(SlideShowItem *) itemAtIndex:(unsigned int) index;

@end

#endif /* _IMAGEAPPS_SLIDESHOWKIT_SLIDESHOWSUBMENU_H_ */
